## node-getpass 0.1.7

=== Makefile ===
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# Copyright (c) 2016, Joyent, Inc.
#

#
# Tools
#
NPM_EXEC	:= $(shell which npm)
NPM		:= npm
TAP		:= ./node_modules/.bin/tape
JSON		:= ./node_modules/.bin/json

#
# Makefile.defs defines variables used as part of the build process.
#
include ./tools/mk/Makefile.defs

#
# Configuration used by Makefile.defs and Makefile.targ to generate 
# "check" and "docs" targets.
#
DOC_FILES	 = index.md
JSON_FILES	 = package.json
JS_FILES	:= $(shell find lib test -name '*.js')
JSL_FILES_NODE	 = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)

JSL_CONF_NODE	 = tools/jsl.node.conf
JSSTYLE_FLAGS	 = -f tools/jsstyle.conf

include ./tools/mk/Makefile.defs
include ./tools/mk/Makefile.node_deps.defs

#
# Repo-specific targets
#
.PHONY: all
all: $(SMF_MANIFESTS) | $(TAP) $(REPO_DEPS)
	$(NPM) rebuild

$(TAP): | $(NPM_EXEC)
	$(NPM) install
$(JSON): | $(NPM_EXEC)
	$(NPM) install

CLEAN_FILES += $(TAP) ./node_modules/tap

.PHONY: test
test: $(TAP)
	TAP=1 $(TAP) test/*.test.js

.PHONY: coverage
coverage: all
	$(NPM_EXEC) install istanbul && \
	    ./node_modules/.bin/istanbul cover \
	    $(TAP) test/*.test.js

include ./tools/mk/Makefile.deps
include ./tools/mk/Makefile.node_deps.targ
include ./tools/mk/Makefile.targ

=== debian/changelog ===
node-getpass (0.1.7-1) unstable; urgency=low

  * Initial release (Closes: #861674)

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 May 2017 20:42:40 +0530

=== debian/control ===
Source: node-getpass
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-json5
 , npm
Standards-Version: 3.9.8
Homepage: https://github.com/arekinath/node-getpass#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-getpass.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-getpass.git

Package: node-getpass
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0.0)
Description: get a password from terminal
 This library can be used to get a password from the terminal. Even though it
 sounds simple and sounds like the `readline` module should be able to do it.
 But readline module does not support it.
 .
 If available, this uses `/dev/tty` to avoid interfering with any data being
 piped in or out of stdio. This function prints a prompt (by default
 `Password:`) and then accepts input without echoing.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-getpass

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-getpass-$1.tar.gz/ \
 https://github.com/arekinath/node-getpass/tags .*/archive/v?([\d\.]+).tar.gz
